NetworkManager crashed with signal 5 in ASSERT_VALID_PATH_COMPONENT()

Bug #1416635 reported by Jean-Louis Dupond on 2015-01-31
42
This bug affects 10 people
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
High
Mathieu Trudel-Lapierre

Bug Description

Crashing network-manager since latest upgrades of NetworkManager.
See also bug 1415702

ProblemType: Crash
DistroRelease: Ubuntu 15.04
Package: network-manager 0.9.10.0-4ubuntu4
ProcVersionSignature: Ubuntu 3.18.0-12.13-generic 3.18.4
Uname: Linux 3.18.0-12-generic x86_64
ApportVersion: 2.15.1-0ubuntu4
Architecture: amd64
Date: Sat Jan 31 10:00:40 2015
ExecutablePath: /usr/sbin/NetworkManager
InstallationDate: Installed on 2011-07-14 (1296 days ago)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110705.1)
IpRoute:
 default via 192.168.3.1 dev eth0 proto static metric 1024
 169.254.0.0/16 dev eth0 scope link metric 1000
 192.168.3.0/24 dev wlan0 proto kernel scope link src 192.168.3.182
 192.168.3.0/24 dev eth0 proto kernel scope link src 192.168.3.101
ProcCmdline: NetworkManager
ProcEnviron:
 LANGUAGE=nl:en_AU:en
 TERM=linux
 PATH=(custom, no user)
 LANG=nl_BE.UTF-8
Signal: 5
SourcePackage: network-manager
StacktraceTop:
 ASSERT_VALID_PATH_COMPONENT ()
 nm_utils_ip6_property_path ()
 ?? ()
 ?? ()
 g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
Title: NetworkManager crashed with signal 5 in ASSERT_VALID_PATH_COMPONENT()
UpgradeStatus: Upgraded to vivid on 2015-01-20 (10 days ago)
UserGroups:

nmcli-nm: Error: command ['nmcli', '-f', 'all', 'nm'] failed with exit code 2: Error: Object 'nm' is unknown, try 'nmcli help'.

Jean-Louis Dupond (dupondje) wrote :

StacktraceTop:
 ASSERT_VALID_PATH_COMPONENT (name=0x26dd450 "hfp/88532E1A9342_58C38B5FB77F") at NetworkManagerUtils.c:1255
 nm_utils_ip6_property_path (ifname=<optimized out>, property=0x4b8a2b "accept_ra") at NetworkManagerUtils.c:1219
 save_ip6_properties (self=<optimized out>) at devices/nm-device.c:3734
 _set_state_full (device=0x4b8a2b, state=40752208, reason=NM_DEVICE_STATE_REASON_NONE, quitting=0) at devices/nm-device.c:6662
 add_device (self=0x26c7180, device=0x27083c0, generate_con=0) at nm-manager.c:1811

Changed in network-manager (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager (Ubuntu):
status: New → Confirmed
Changed in network-manager (Ubuntu):
importance: Medium → High
information type: Private → Public
Changed in network-manager (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager - 0.9.10.0-4ubuntu5

---------------
network-manager (0.9.10.0-4ubuntu5) vivid; urgency=medium

  * d/patches/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch:
    don't fail when the ofono modem paths fail to not include a slash. We can
    log this, and following use of these paths will still fail, but that's fine
    since it's just more error messages in the logs for things that aren't
    supposed to work anyway since the oFono modem paths are just virtual.
    (LP: #1416635)
 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 04 Feb 2015 15:25:07 -0500

Changed in network-manager (Ubuntu):
status: In Progress → Fix Released
Christopher (chalbersma-12) wrote :

I found a fairly jenky work around. If while NetworkManager is off or crashed I use the hardware key combo to turn off wifi it does so. Then NetworkManager will start up. However it will attempt to enable wifi itself. So the next move is while it's starting up right after NetworkManager has turned the wifi chip back on you need to utilize the key combo again to manually disable wifi.

Then if I wait for a bit I can turn on wifi via hardware chip and it will crash in about a minute with the following in the logs:

```
Dec 22 13:21:03 nebraska NetworkManager[24469]: <info> WiFi hardware radio set enabled
Dec 22 13:21:03 nebraska NetworkManager[24469]: <info> WWAN hardware radio set disabled
Dec 22 13:21:03 nebraska NetworkManager[24469]: <info> WiFi now enabled by radio killswitch
Dec 22 13:21:03 nebraska NetworkManager[24469]: <info> (wlp2s0): supplicant interface state: starting -> ready
Dec 22 13:21:03 nebraska NetworkManager[24469]: <info> (wlp2s0): device state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]
Dec 22 13:21:03 nebraska NetworkManager[24469]: <info> Device 'wlp2s0' has no connection; scheduling activate_check in 0 seconds.
Dec 22 13:21:19 nebraska NetworkManager[24469]: <info> WiFi now disabled by radio killswitch
Dec 22 13:21:19 nebraska NetworkManager[24469]: <info> (wlp2s0): device state change: disconnected -> unavailable (reason 'none') [30 20 0]
Dec 22 13:25:50 nebraska NetworkManager[24469]: <info> WiFi now enabled by radio killswitch
Dec 22 13:25:50 nebraska NetworkManager[24469]: <info> (wlp2s0): supplicant interface state: starting -> ready
Dec 22 13:25:50 nebraska NetworkManager[24469]: <info> (wlp2s0): device state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]
Dec 22 13:25:50 nebraska NetworkManager[24469]: <info> Device 'wlp2s0' has no connection; scheduling activate_check in 0 seconds.
Dec 22 13:25:52 nebraska NetworkManager[24469]: <info> (wlp2s0): supplicant interface state: ready -> inactive
Dec 22 13:26:18 nebraska NetworkManager[24469]: <info> (wlp2s0): supplicant interface state: inactive -> scanning
Dec 22 13:26:50 nebraska systemd[1]: NetworkManager.service: Main process exited, code=dumped, status=11/SEGV
Dec 22 13:26:50 nebraska systemd[1]: NetworkManager.service: Unit entered failed state.
Dec 22 13:26:50 nebraska systemd[1]: NetworkManager.service: Failed with result 'core-dump'.
Dec 22 13:26:51 nebraska systemd[1]: NetworkManager.service: Service hold-off time over, scheduling restart.
Dec 22 13:26:51 nebraska systemd[1]: Stopped Network Manager.
Dec 22 13:26:51 nebraska systemd[1]: Starting Network Manager...
```

My first thought is that I might have a wireless chip that's unsupported. However that doesn't seem to be the case given I'm running a certified laptop. I'm still doing some investigation but now I seem to be able to get NetworkManager to "stay up". Even if now I can't connect to wifi.

Christopher (chalbersma-12) wrote :

Wrong bug please ignore this comment.

To post a comment you must log in.